package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
public class ReplyCommentsReq extends BaseRequest{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "content", value = "评论内容", required = true)
	private String content;
	@ApiModelProperty(name = "commentId", value = "被评论记录id", required = true)
	private String commentId;
	@ApiModelProperty(name = "beCommentedUserId", value = "被评论人id", required = true)
	private String beCommentedUserId;
	@ApiModelProperty(name = "type", value = "1：回复答题榜评论，2：回复分享评论", required = true)
	private int type;

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getCommentId() {
		return commentId;
	}

	public void setCommentId(String commentId) {
		this.commentId = commentId;
	}

	public String getBeCommentedUserId() {
		return beCommentedUserId;
	}

	public void setBeCommentedUserId(String beCommentedUserId) {
		this.beCommentedUserId = beCommentedUserId;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
